Debian Bug report logs - #543064
FTBFS: "You need to have the SmartArray driver in the kernel."

version graph

Package: cpqarrayd; Maintainer for cpqarrayd is Thijs Kinkhorst <thijs@debian.org>; Source for cpqarrayd is src:cpqarrayd.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 22 Aug 2009 17:09:51 UTC

Severity: serious

Tags: patch, sid, squeeze, wheezy

Found in version cpqarrayd/2.3-1

Fixed in version cpqarrayd/2.3-1.1

Done: Thijs Kinkhorst <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matt Taggart <taggart@debian.org>:
Bug#543064; Package cpqarrayd. (Sat, 22 Aug 2009 17:09:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Matt Taggart <taggart@debian.org>. (Sat, 22 Aug 2009 17:09:55 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: cpqarrayd: FTBFS: "You have not yet configured your kernel!"
Date: Sat, 22 Aug 2009 18:40:36 +0200
Package: cpqarrayd
Version: 2.3-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090822 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-cpqarrayd_2.3-1-amd64-8Sshsp/cpqarrayd-2.3/debian/linux/linux-source-2.6.30'
>   HOSTCC  scripts/basic/fixdep
>   HOSTCC  scripts/basic/docproc
>   HOSTCC  scripts/basic/hash
>   HOSTCC  scripts/kconfig/conf.o
>   HOSTCC  scripts/kconfig/kxgettext.o
>   SHIPPED scripts/kconfig/zconf.tab.c
>   SHIPPED scripts/kconfig/lex.zconf.c
>   SHIPPED scripts/kconfig/zconf.hash.c
>   HOSTCC  scripts/kconfig/zconf.tab.o
>   HOSTLD  scripts/kconfig/conf
> scripts/kconfig/conf -s arch/x86/Kconfig
> ***
> *** You have not yet configured your kernel!
> *** (missing kernel .config file)
> ***
> *** Please run some configurator (e.g. "make oldconfig" or
> *** "make menuconfig" or "make xconfig").
> ***
> make[3]: *** [silentoldconfig] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/08/22/cpqarrayd_2.3-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Sat, 23 Jan 2010 15:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matt Taggart <taggart@debian.org>:
Bug#543064; Package cpqarrayd. (Sat, 24 Jul 2010 18:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matt Taggart <taggart@debian.org>. (Sat, 24 Jul 2010 18:21:07 GMT) Full text and rfc822 format available.

Message #12 received at 543064@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 543064@bugs.debian.org
Subject: Re: cpqarrayd: FTBFS: "You have not yet configured your kernel!"
Date: Sat, 24 Jul 2010 20:20:41 +0200
Hi.  Any hope of having this fixed in time for Squeeze?  Any idea what
is wrong with the build?  Seem to require something special from the
kernel on the build host, which seem to be a bad idea.

I just noticed this package was missing in Debian Edu, though it is on
our wish list, and this bug seem to be the cause.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matt Taggart <taggart@debian.org>:
Bug#543064; Package cpqarrayd. (Mon, 17 Jan 2011 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@uvt.nl>:
Extra info received and forwarded to list. Copy sent to Matt Taggart <taggart@debian.org>. (Mon, 17 Jan 2011 15:33:06 GMT) Full text and rfc822 format available.

Message #17 received at 543064@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@uvt.nl>
To: 543064@bugs.debian.org
Cc: control@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>, Petter Reinholdtsen <pere@hungry.com>
Subject: Patch to fix cpqarrayd FTBFS
Date: Mon, 17 Jan 2011 16:23:22 +0100
[Message part 1 (text/plain, inline)]
retitle 543064 FTBFS: "You need to have the SmartArray driver in the kernel."
tags 543064 +patch
thanks

Hi,

The original title didn't accurately describe what the cause of failure was. 
The message about the kernel not being configured was always there and not a 
problem. The problem is this:

checking ida_ioctl.h usability... no
configure: WARNING: ida_ioctl.h: present but cannot be compiled
configure: WARNING: ida_ioctl.h:     check for missing prerequisite headers?
configure: WARNING: ida_ioctl.h: see the Autoconf documentation
configure: WARNING: ida_ioctl.h:     section "Present But Cannot Be Compiled"
configure: WARNING: ida_ioctl.h: proceeding with the compiler's result
checking ida_ioctl.h presence... yes
configure: WARNING:     ## ------------------------------- ##
configure: WARNING:     ## Report this to spark@knoware.nl ##
configure: WARNING:     ## ------------------------------- ##
checking for ida_ioctl.h... no
configure: error: You need to have the SmartArray driver in the kernel.
make[1]: *** [config.status] Error 1
make[1]: Leaving directory 
`/build/user-cpqarrayd_2.3-1-amd64-8Sshsp/cpqarrayd-2.3'
make: *** [build-stamp] Error 2

I looked at how other distributions handle this and it seems Fedora and 
Mandrake solve it by disabling the dependency of cpqarrayid on ida. I've 
applied their patch and the package builds fine again. Also I've tested it on 
a range of Compaq/HP SmartArray hardware we have here, from oldest to newest 
and the package still works. Must note that we use the /dev/cciss driver.

Attached patch is the package I built. I'll leave it up to the maintainer to 
judge whether this is a good way forward, but my advice would be to go for it 
if no better options surface: apparently this has worked fine for other 
distributions and in any case this makes the package work again for a large 
range of machines at the least.

Probably it's too late for squeeze (although this is a completely leaf package 
and would add support for a wide and popular range of server hardware), but 
it would be great if this could be fixed for unstable at least.

Interested parties can also find built packages for amd64 and i386 in our 
repository: http://non-gnu.uvt.nl/debian/squeeze/cpqarrayd/


Cheers,
Thijs

-- 
Thijs Kinkhorst <thijs@uvt.nl> – LIS Unix

Universiteit van Tilburg – Library and IT Services • Postbus 90153, 5000 LE
Bezoekadres > Warandelaan 2 • Tel. 013 466 3035 • G 236 • http://www.uvt.nl
[no_ida.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'FTBFS: "You need to have the SmartArray driver in the kernel."' from 'cpqarrayd: FTBFS: "You have not yet configured your kernel!"' Request was from Thijs Kinkhorst <thijs@uvt.nl> to control@bugs.debian.org. (Mon, 17 Jan 2011 15:33:09 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Thijs Kinkhorst <thijs@uvt.nl> to control@bugs.debian.org. (Mon, 17 Jan 2011 15:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matt Taggart <taggart@debian.org>:
Bug#543064; Package cpqarrayd. (Wed, 09 Feb 2011 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Matt Taggart <taggart@debian.org>. (Wed, 09 Feb 2011 10:45:03 GMT) Full text and rfc822 format available.

Message #26 received at 543064@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 543064@bugs.debian.org
Subject: NMU for cpqarrayd FTBFS uploaded to delayed-10
Date: Wed, 9 Feb 2011 11:40:36 +0100
[Message part 1 (text/plain, inline)]
Hi Matt,

I have uploaded a proposed NMU to DELAYED-10 in order to go ahead with the 
patch I posted earlier to this bug. My rationale is as follows:

- I have tested the patch and it makes cpqarrayd build and it works on our
  wide range of Compaq & HP SmartArray equipped server hardware (which ranges
  from old Compaq ML350 to very recent HP DL 360 & 380).

- Currently wheezy has no cpqarrayd. So this version at the very least adds
  support for a large set of hardware, even if it isn't compatible anymore
  with others (which is yet unknown).

- The patch has apparently worked for other distributions already.

- Uploading it very early in the wheezy release cycle makes it possible to
  discover if and where this patch would give rise to problems which do not
  occur in our environment.


Cheers,
Thijs
[cpqarrayd_nmu.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:54:07 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:28 GMT) Full text and rfc822 format available.

Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Sat, 19 Feb 2011 11:06:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 19 Feb 2011 11:06:03 GMT) Full text and rfc822 format available.

Message #35 received at 543064-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 543064-close@bugs.debian.org
Subject: Bug#543064: fixed in cpqarrayd 2.3-1.1
Date: Sat, 19 Feb 2011 11:03:01 +0000
Source: cpqarrayd
Source-Version: 2.3-1.1

We believe that the bug you reported is fixed in the latest version of
cpqarrayd, which is due to be installed in the Debian FTP archive:

cpqarrayd_2.3-1.1.diff.gz
  to main/c/cpqarrayd/cpqarrayd_2.3-1.1.diff.gz
cpqarrayd_2.3-1.1.dsc
  to main/c/cpqarrayd/cpqarrayd_2.3-1.1.dsc
cpqarrayd_2.3-1.1_i386.deb
  to main/c/cpqarrayd/cpqarrayd_2.3-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 543064@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <thijs@debian.org> (supplier of updated cpqarrayd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 Jan 2011 10:50:03 +0000
Source: cpqarrayd
Binary: cpqarrayd
Architecture: source i386
Version: 2.3-1.1
Distribution: unstable
Urgency: low
Maintainer: Matt Taggart <taggart@debian.org>
Changed-By: Thijs Kinkhorst <thijs@debian.org>
Description: 
 cpqarrayd  - monitoring tool for HP (Compaq) SmartArray controllers
Closes: 543064
Changes: 
 cpqarrayd (2.3-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Apply no_ida patch from Fedora to make package build again
     in a squeeze context (closes: #543064).
Checksums-Sha1: 
 45ee651bc7b8a932b0bc4e9b9420ba2b6b2be12d 1305 cpqarrayd_2.3-1.1.dsc
 7c07f8e9ab67b17e307820abd6fc5dd39b0abf05 81585 cpqarrayd_2.3-1.1.diff.gz
 4ea161a7e33c2a729ebab21d1fa57ab305bc1e03 16446 cpqarrayd_2.3-1.1_i386.deb
Checksums-Sha256: 
 3cb1dad449570ff0da96d9f7d4e22435e2b53b96780733a9d0330972ca5ace67 1305 cpqarrayd_2.3-1.1.dsc
 48f7d84e22931c93d33d67baa0eb05da6e3a84a6c7947bfc7cabb8c07a266cdd 81585 cpqarrayd_2.3-1.1.diff.gz
 ccd4d37a0f8a7827ad2e9738cdebae737f8f45fd8c9c534382d96da1c9732a18 16446 cpqarrayd_2.3-1.1_i386.deb
Files: 
 f237695cdaa658829bc5db3e79b2668b 1305 admin extra cpqarrayd_2.3-1.1.dsc
 a6e5c3b2fc0213811f4d028abdad8148 81585 admin extra cpqarrayd_2.3-1.1.diff.gz
 121f996ae71be9753ec87495d0833746 16446 admin extra cpqarrayd_2.3-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAgAGBQJNUmcRAAoJEOxfUAG2iX57ZvcIANTGX9vWBpJqhbvy2AL0s5V/
W8kwASqXC1x0QPJ2r0asP3JB8tPyYvCoD6u2YisuF/aXP6aItxWx9DmyHDaeINrv
9897i4Wf1H71PLqjEJ6qmCfkXTeM52sVoyLWjCGbkrBNYcBp3HFWk0Ql5xjcBAgN
aiw/nOi4Ru9BuT/24eGXLiGIE4VusLhD8Oi/HUEM+HD64OPVUBZHl3zdG/qz8eWI
kE7/ZCqeavIiZIBK6+5j56SoU0ymAn+7idADt3iqDGZSUAIi2IE9pwBbWP7yPRVI
EB0RMFLedhf2wK074AWW2/AiFKGO8abnk14l1RerR1fHjfQF4zuIxIV1xGdJoo4=
=uYFQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Mar 2011 07:37:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:12:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.